Subject: Re: [PATCH 3/3] bnx2i: Add bnx2i iSCSI driver.

From: Roland Dreier <[email-masked]>
Date: Tue, 27 May 2008 07:38:19 -0700

> 'bnx2id' is the user component in this solution. bnx2id daemon uses
 > socket calls to bind tcp ports in high range and hands them over to
 > driver. This is how iscsi driver tries to solve tcp port collision
 > issue. User daemon communicates with the driver using sysfs and tcp port
 > related functions are bnx2i_read_tcp_portd_*/bnx2i_write_tcp_portd_*
 > (reference: bnx2i_sysfs.c)

So you are creating sockets just to reserve TCP ports to avoid host
stack clashes with your offload engine?  Wasn't this approach strongly
rejected (in the context of iWARP) in the past?

 - R.